'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _placeholder = require('./placeholder');

var _placeholder2 = _interopRequireDefault(_placeholder);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function errorsToJson(errorDefinitions) {
    return Object.keys(errorDefinitions).map(function (name) {
        var definition = errorDefinitions[name];
        var result = Object.assign({}, definition);

        if (typeof definition.message === 'function') {
            result.message = definition.message((0, _placeholder2.default)(definition));
        }

        delete result.validate;

        return result;
    });
}

exports.default = errorsToJson;